;;     Game - PP The Space Mercenary
;;     Copyright (C) 2019  TeamBotella
;; 
;;     This program is free software: you can redistribute it and/or modify
;;     it under the terms of the GNU General Public License as published by
;;     the Free Software Foundation, either version 3 of the License, or
;;     (at your option) any later version.
;; 
;;     This program is distributed in the hope that it will be useful,
;;     but WITHOUT ANY WARRANTY; without even the implied warranty of
;;     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;     GNU General Public License for more details.
;; 
;;     You should have received a copy of the GNU General Public License
;;     along with this program.  If not, see <https://www.gnu.org/licenses/>.
.include "man/patrol.h.s"
.include "man/entity_manager.h.s"

patrol_01::
    .db 10, 20
    .db 10, 90
    .db patrol_invalid_move
    .dw patrol_01

patrol_02::
    .db 60, 90
    .db 58, 90
    .db 56, 90
    .db 54, 90
    .db 52, 90 
    .db 50, 90
    .db 48, 90
    .db 46, 90
    .db 44, 90
    .db 42, 90
    .db 40, 90
    .db 38, 90
    .db 36, 90
    .db 34, 90
    .db 32, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 86
    .db 30, 82
    .db 30, 78
    .db 30, 74
    .db 30, 70
    .db 30, 66
    .db 30, 62
    .db 30, 58
    .db 30, 54
    .db 30, 50
    .db 30, 46
    .db 30, 42
    .db 30, 38
    .db 30, 34
    .db 30, 30
    .db 30, 34
    .db 30, 38
    .db 30, 42
    .db 30, 46
    .db 30, 50
    .db 30, 54
    .db 30, 58
    .db 30, 62
    .db 30, 66
    .db 30, 70
    .db 30, 74
    .db 30, 78
    .db 30, 82
    .db 30, 86
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 30, 90
    .db 32, 90
    .db 34, 90
    .db 36, 90
    .db 38, 90
    .db 40, 90
    .db 42, 90
    .db 44, 90
    .db 46, 90
    .db 48, 90
    .db 50, 90
    .db 52, 90
    .db 54, 90
    .db 56, 90
    .db 58, 90
    .db 60, 90 
    .db patrol_invalid_move
    .dw patrol_02

patrol_03::
    .db 28, 40
    .db 28, 40
    .db 28, 40
    .db 28, 40
    .db 28, 140
    .db 28, 140
    .db 28, 140
    .db 28, 140
    .db patrol_invalid_move
    .dw patrol_03

patrol_04::
    .db 10, 80
    .db 10, 80
    .db 10, 80
    .db 10, 80
    .db 54, 80
    .db 54, 80
    .db 54, 80
    .db 54, 80
    .db patrol_invalid_move
    .dw patrol_04

patrol_05::
    .db 36, 14
    .db 36, 142
    .db 6, 142
    .db 6, 96
    .db 70, 96
    .db 70, 142
    .db 40, 142
    .db patrol_invalid_move
    .dw patrol_06

patrol_06::
    .db 40, 142
    .db 40, 14
    .db 70, 14
    .db 70, 80
    .db 6, 80
    .db 6, 14    
    .db 36, 14
    .db patrol_invalid_move
    .dw patrol_05

patrol_get01::
    ld hl, #patrol_01
    ret

patrol_get02::
    ld hl, #patrol_02
    ret

patrol_get03::
    ld hl, #patrol_03
    ret

patrol_get04::
    ld hl, #patrol_04
    ret

patrol_get05::
    ld hl, #patrol_05
    ret

patrol_get06::
    ld hl, #patrol_06
    ret

patrol_init::
    ret
